aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrelease-smokeping.sh6
-rw-r--r--thirdparty/Makefile.in1
2 files changed, 4 insertions, 3 deletions
diff --git a/release-smokeping.sh b/release-smokeping.sh
index c053276..13430ca 100755
--- a/release-smokeping.sh
+++ b/release-smokeping.sh
@@ -5,12 +5,12 @@ VERSION=`cat VERSION`
mkdir -p conftools
make clean
./bootstrap
+./configure --enable-maintainer-mode --prefix=/tmp/smokeping-$$-build
make
make clean
-touch PERL_MODULES
-make PERL=perl-5.10.1
-./configure --enable-maintainer-mode --prefix=/tmp/smokeping-$$-build
make install
+touch PERL_MODULES
+make PERL=perl-5.10.1 || true
make dist
echo READY TO SYNC ?
read XXX
diff --git a/thirdparty/Makefile.in b/thirdparty/Makefile.in
index a22be1f..98979e9 100644
--- a/thirdparty/Makefile.in
+++ b/thirdparty/Makefile.in
@@ -407,6 +407,7 @@ uninstall-am:
all-local: touch
touch: CPAN/touch ../config.status ../PERL_MODULES
+ echo "If the moduile install hangs, this may be because one of the modules expects you to press [return] without telling you ... just do it!"
$(AM_V_GEN)cat ../PERL_MODULES | PERL_CPANM_HOME=$(THIRDPARTY_DIR) xargs $(PERL) $(THIRDPARTY_DIR)/bin/cpanm -q --notest --local-lib-contained $(THIRDPARTY_DIR) --mirror file://$(THIRDPARTY_DIR)/CPAN --mirror-only
$(AM_V_GEN)touch touch